%define	name	evas
%define version 20131105
%define release %mkrel 1
%define realversion 1.7.9

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightened canvas library
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source: 	%{name}-%{realversion}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Conflicts:	%{mklibname evas1}-devel
# Common
BuildRequires:	pth-devel
BuildRequires:	chrpath
BuildRequires:	X11-devel
BuildRequires:	SDL-devel
BuildRequires:	eet-devel >= 1.4.0
BuildRequires:	cairo-devel
BuildRequires:	png-devel
BuildRequires:	jpeg-devel
BuildRequires:	tiff-devel
BuildRequires:	mesagl-devel
BuildRequires:	ungif-devel
BuildRequires:	xpm-devel
BuildRequires:	xcb-devel
BuildRequires:	pixman-devel
BuildRequires:	xcb-util-devel
BuildRequires:	librsvg-devel
BuildRequires:	doxygen
BuildRequires:	fribidi-devel
# Enlightenment BR
BuildRequires:	eina-devel
BuildRequires: 	eet-devel
BuildRequires:	%{_lib}freetype6-devel

%description
Evas is a clean display canvas API for several target display systems
that can draw anti-aliased text, smooth super and sub-sampled scaled
images, alpha-blend objects much and more.

This package is part of the Enlightenment DR17 desktop shell.

%package devel
Summary: Enlightened Canvas Library headers and development libraries
Group: Development/Libraries
Requires: %{name} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description devel
Evas development headers and development libraries.

%prep
%setup -q -n %{name}-%{realversion}

%build

%configure2_5x --disable-static

%make

%install
rm -fr %buildroot
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/*
%{_libdir}/*.so.%{major}*
%{_libdir}/%name/modules/engines/*/*/*.so
%{_libdir}/%name/modules/loaders/*/*/*.so
%{_libdir}/%name/modules/savers/*/*/*.so
%{_libdir}/%name/cserve2/loaders/*/*/*.so
%{_datadir}/evas/examples/*
%{_libdir}/dummy_slave
%{_libdir}/evas_cserve2
%{_libdir}/evas_cserve2_slave
%{_datadir}/evas/checkme

%files devel
%defattr(-,root,root)
%{_libdir}/libevas.so
%{_includedir}/evas-1/*.h
%{_libdir}/pkgconfig/*


%changelog
* Tue Nov 05 2013 Texstar <texstar at gmail.com> 20131105-1pclos2013
- 1.7.9

